﻿@*@model SportsClub.Models.MyJumbulaClubEventsViewModel

@Html.HiddenFor(model => model.ClubDomain)

<div class="myjb-eventcontrol-title">
    <span>Search Filters</span>
</div>
<div class="pull-left myjb-eventcontrol">
    <div class="pull-left search">
        <label>Search name:</label>
        @Html.TextBoxFor(model => model.SearchText, new { @class = "input input-large", @placeholder = "e.g., Winter camp", @id = "event-name" })
    </div>
    <!-- =================================event filter================================== -->
    <div class="pull-left myjb-eventfilter type">
        <label>Type:</label>
        @Html.DropDownListFor(model => model.EventType, Model.SelectEventType, new { @class = "input-medium" })
    </div>
    <!-- ==================================date picker================================== -->
    <div class="date-pick pull-left myjb-eventfilter">
        <label>Dates:</label>
        @Html.TextBoxFor(model => model.StartDate, new { @class = "input-small date-start pull-left", @placeholder = "Start date", id = "StartDate" })
        @Html.TextBoxFor(model => model.FinishDate, new { @class = "input-small date-end pull-left", @placeholder = "End date", id = "FinishDate" })
    </div>
    <!-- =================================status filter================================= -->
    <div class="pull-left myjb-eventfilter status">
        <label>Status:</label>
        @Html.JbEnumDropDownListFor(model => model.EventStatus, new { @class = "input-medium" })
    </div>
    <button class="btn btn-warning pull-right loading" id="SearchEvents" type="submit" data-loading-text="searching...">search</button>
</div>
<div class="pull-right myjb-exicon">
</div>
<div class="pull-left myjb-grid">



    @(Html.Kendo().Grid<ClubEvents>()
        .Name("DisplayEventsGrid")
        .Columns(Columns =>
        {
            Columns.Bound(c => c.Name).Title("Event Name");
            Columns.Bound(c => c.EventType).Title("Type");
            Columns.Bound(c => c.CategoryName).Title("Category");
            Columns.Bound(c => c.Status).Title("Status");
            Columns.Bound(c => c.StartDate).Title("Starts").Format("{0:MM/dd/yyyy}").Width(100);
            Columns.Bound(c => c.EndDate).Title("Ends").Format("{0:MM/dd/yyyy}").Width(100);
            
            Columns.Template(c => c.Name).Title("Action").ClientTemplate(
                "# if( EventType == '0' )  {#" +

                                             "<a href='##'  class ='sendMailToALL' data-domain='#:Domain#' data-name='#:Name#' data-eventType='#:EventType#' data-Category='#:CategoryId#'>Email all users</a> </br>" +
                                               "<a href='##'   class ='sendMailToCustom' data-domain='#:Domain#' data-name='#:Name#' data-eventType='#:EventType#' data-Category='#:CategoryId#'>Email some users</a>" +
                                           "#} " +
                            "else {#" +
                                           "<a href='##'  class ='sendMailToALL' data-domain='#:Domain#' data-name='#:Name#' data-eventType='#:EventType#' data-Category='#:CategoryId#'>Email all users</a>" +
                                           "#}#").Width(130) ;

        })
        .ToolBar(toolBar =>
                    toolBar.Custom()
                        .Text("Export To Pdf")
                        .HtmlAttributes(new { id = "exporttopdf", @class = "exp-pdf" })
                        .Url(Url.Action("ExportEvents", "Club", new { exportMode = ExportMode.Pdf }))
                        )
                .ToolBar(toolBar =>
                    toolBar.Custom()
                        .Text("Export To Excel")
                        .HtmlAttributes(new { id = "exporttoexcel", @class = "exp-excel" })
                        .Url(Url.Action("ExportEvents", "Club", new { exportMode = ExportMode.Excel }))
                )
        .Groupable()
        .Sortable()
        .Pageable(pageable => pageable
            .Refresh(true)
            .PageSizes(true)
            .ButtonCount(5))
           .DataSource(datasource => datasource
               .Ajax()
               .Read(read => read.Action("DisplayEventsPaged", "Communication").Data("additionalPrameters"))
           )
    )


</div>*@
